<?php

  # funciones para sacar por pantalla la portada de un tema concreto.
  # se hacen llamadas a comienzo, después se van pasando artículos
  # a la función verart, después se hace una llamada a intermedio,
  # se vuelve a pasar articulos a verartpeque, esta vez sin la parte
  # corta del artículo, y por último se recibe una llamada a finalizar.
  # hago uso del fichero general.php y de inferior() y superior()

  include ("vista/general.php");

  function comienzo(){
    superior();
  }

  function verart($id,$titulo,$autor,$urlautor,$fecha,$corto,$tema,$urltema){
    echo "<p><b><a href=\"articulo.php?id=$id\">$titulo</a></b> $fecha ";
    echo " <a href=\"$urlautor\">$autor</a> ";
    echo "<br><a href=\"$urltema\">$tema</a> ";
    echo "<p><i>$corto</i>";
  }

  function intermedio(){
    echo "<hr>";
  }

  function verartpeque($id,$titulo,$autor,$urlauort,$fecha,$tema,$urltema){
    echo "<br><a href=\"articulo.php?id=$id\">$titulo</a> $fecha ";
    echo "<a href=\"$urltema\">$tema</a> ";
#   En la parte de noticias más antiguas prefiero no poner el autor
#   echo "<a href=\"$urlautor\">$autor</a> ";
  }

  function finalizar(){
    inferior();
  }
  
?>